OpenAPI operations
Acknowledge, resolve or ignore an issue
const url = 'https://api.hooks.events/v1/issues/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"status":"open"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.hooks.events/v1/issues/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "status": "open" }'Requires the deliveries:retry scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”object
Responses
Section titled “Responses”Success
object
Resource id
Failure signature: status:4xx/5xx or timeout/dns/tls/network/transform
Terminal failures absorbed, including reopened ones
ISO-8601 timestamp
ISO-8601 timestamp
ISO-8601 timestamp
ISO-8601 timestamp
Example
{ "status": "open"}Validation error
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Missing or invalid credentials
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}The credential lacks the required scope, or the workspace is not writable
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Resource not found
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Rate limited
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Headers
Section titled “Headers”Requests allowed per window
Seconds until the window resets
Seconds to wait before retrying. Absent when the rejection has no retry time (for example the Free lifetime quota).
Request allowance for the workspace’s plan
Requests left in the allowance after this request